summaryrefslogtreecommitdiff
path: root/taler-docbuild/update_doc_merchant.sh
diff options
context:
space:
mode:
Diffstat (limited to 'taler-docbuild/update_doc_merchant.sh')
-rwxr-xr-xtaler-docbuild/update_doc_merchant.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/taler-docbuild/update_doc_merchant.sh b/taler-docbuild/update_doc_merchant.sh
new file mode 100755
index 0000000..abc4c10
--- /dev/null
+++ b/taler-docbuild/update_doc_merchant.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
+ git reset --hard "$branch"
+}
+
+cd $HOME/merchant
+fetch
+./bootstrap
+./configure --enable-only-doc
+make
+doxygen
+cp doc/manual.pdf $HOME/build/merchant-backend/manual/pdf/
+cp doc/*.{html,png,css,js} $HOME/build/merchant-backend/manual/html/
+cp -r doxygen-doc/html/* $HOME/build/merchant-backend/doxygen/